#
# TODO:	- add subversion support
#
Summary:	Parallized network authentication cracker
Summary(pl.UTF-8):	Zrównoleglony łamacz uwierzytelnień sieciowych
Name:		hydra
Version:	9.4
Release:	1
License:	GPL
Group:		Networking
Source0:	https://github.com/vanhauser-thc/THC-Archive/blob/master/Tools/%{name}-%{version}.tar.gz?raw=true&/hydra-%{version}.tar.gz
# Source0-md5:	5486ece8f48c80fee8a5e9f6a295f4c0
Patch0:		%{name}-nonsl.patch
Patch1:		x32.patch
URL:		http://www.thc.org/thc-hydra/
BuildRequires:	Firebird-devel
BuildRequires:	freerdp2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libbson-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	libmemcached-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	libssh2-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	postgresql-devel
BuildRequires:	subversion-devel
BuildRequires:	zlib-devel
Requires:	bash
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool allows for rapid dictionary attacks against network login
systems, including FTP, POP3, IMAP, Netbios, Telnet, HTTP Auth, LDAP,
NNTP, VNC, ICQ, Socks5, PCNFS, and more.

%description -l pl.UTF-8
To narzędzie pozwala na szybkie ataki słownikowe przeciwko sieciowym
systemom logowania, włączając w to FTP, POP3, IMAP, Netbios, Telnet,
HTTP Auth, LDAP, NNTP, VNC, ICQ, Socks5, PCNFS i inne.

%package xhydra
Summary:	GTK+ version of hydra
Summary(pl.UTF-8):	Wersja GTK+ programu hydra
Group:		Networking
Requires:	hydra

%description xhydra
GTK+ version of hydra.

%description xhydra -l pl.UTF-8
Wersja GTK+ programu hydra.

%prep
%setup -q -n thc-%{name}-%{version}
%patch0 -p1
%ifarch x32
%patch1 -p1
%endif

%build
# this is not autoconf
WSSL_LIB_PATH=%{_libdir} \
./configure \
	--prefix=%{_prefix} \
	--fhs

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__sed} -i '1s,%{__sh},%{__bash},' hydra-wizard.sh

cp -p dpl4hydra.sh hydra hydra-wizard.sh pw-inspector xhydra $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%attr(755,root,root) %{_bindir}/hydra
%attr(755,root,root) %{_bindir}/hydra-wizard.sh
%attr(755,root,root) %{_bindir}/dpl4hydra.sh
%attr(755,root,root) %{_bindir}/pw-inspector

%files xhydra
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xhydra
%changelog
* Fri Nov 04 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hydra.git;a=log;h=master

* Fri Nov 04 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 40a540a
- rediff x32 patch

* Fri Nov 04 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8fefca4
- rel 1

* Mon Oct 24 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> da22ae7
- up to 9.4, not finished yet

* Sun Oct 17 2021 Jan Rękorajski <baggins@pld-linux.org> bd8fda5
- fix building with gcc 10+, rebuild with openssl 3.0.0, rel 5

* Fri Nov 23 2018 Jan Rękorajski <baggins@pld-linux.org> 0fbe3e1
- rebuild with libidn 1.35
- release 4 (by relup.sh)

* Tue Oct 23 2018 Jan Rękorajski <baggins@pld-linux.org> 1c40b52
- fix building on x32
- rel 3

* Tue Oct 23 2018 Elan Ruusamäe <glen@pld-linux.org> 3126353
- distfiles compatible url

* Tue Oct 23 2018 Jan Rękorajski <baggins@pld-linux.org> f8ae1b4
- distfiles doesn't like '?' in URL

* Sun Oct 21 2018 Jan Rękorajski <baggins@pld-linux.org> 4448ecc
- release 2 (by relup.sh)

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fde7922
- up to 8.6

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d5a9ad
- release 3 (by relup.sh)

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> 7360b3e
- rebuild with mysql 5.7
- release 2 (by relup.sh)

* Mon Dec 16 2013 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 964bf0c
- up to 7.5

* Tue Mar 12 2013 Paweł Gołaszewski <blues@pld-linux.org> 6db439f
- rel.2

* Sat Mar 09 2013 Paweł Gołaszewski <blues@pld-linux.org> 91f26c8
- 7.4.2

* Thu Apr 28 2011 marti <marti@pld-linux.org> a02322a
- up to 6.2

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> c3655ab
- BR: pkgconfig

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 3fcf534
- release 2

* Wed Oct 15 2008 duddits <duddits@pld-linux.org> eda6522
- up to 5.4
- BR updated (libssh2)

* Fri Feb 16 2007 Jakub Bogusz <qboosh@pld-linux.org> c1c2139
- sorted BRs

